Package com.independentsoft.office.word.footnoteEndnote

# Class Endnote

java.lang.Object
com.independentsoft.office.word.footnoteEndnote.Endnote

public class Endnote extends Object
The Class Endnote.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Endnote()`
  Instantiates a new endnote.
  `Endnote​(long id)`
  Instantiates a new endnote.
  `Endnote​(long id, FootnoteEndnoteType type)`
  Instantiates a new endnote.
  `Endnote​(FootnoteEndnoteType type)`
  Instantiates a new endnote.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add​(IBlockElement contentElement)`
  Adds the.
  `void`
  `add​(Paragraph paragraph)`
  Adds the.
  `void`
  `add​(Table table)`
  Adds the.
  `Endnote`
  `clone()`
  `List<IBlockElement>`
  `getContent()`
  Gets the content.
  `List<IContentElement>`
  `getContentElements()`
  Gets the content elements.
  `long`
  `getID()`
  Gets the id.
  `FootnoteEndnoteType`
  `getType()`
  Gets the type.
  `void`
  `setID​(long id)`
  Sets the id.
  `void`
  `setType​(FootnoteEndnoteType type)`
  Sets the type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Endnote

    public Endnote()
    Instantiates a new endnote.

  - ### Endnote

    public Endnote​(long id)
    Instantiates a new endnote.
    Parameters:
      `id` - the id

  - ### Endnote

    public Endnote​(FootnoteEndnoteType type)
    Instantiates a new endnote.
    Parameters:
      `type` - the type

  - ### Endnote

    public Endnote​(long id, FootnoteEndnoteType type)
    Instantiates a new endnote.
    Parameters:
      `id` - the id
      `type` - the type

- ## Method Details

  - ### add

    public void add​(Paragraph paragraph)
    Adds the.
    Parameters:
      `paragraph` - the paragraph

  - ### add

    public void add​(Table table)
    Adds the.
    Parameters:
      `table` - the table

  - ### add

    public void add​(IBlockElement contentElement)
    Adds the.
    Parameters:
      `contentElement` - the content element

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Gets the content elements.
    Returns:
      the content elements

  - ### clone

    public Endnote clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getContent

    public List<IBlockElement> getContent()
    Gets the content.
    Returns:
      the content

  - ### getID

    public long getID()
    Gets the id.
    Returns:
      the id

  - ### setID

    public void setID​(long id)
    Sets the id.
    Parameters:
      `id` - the new id

  - ### getType

    public FootnoteEndnoteType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(FootnoteEndnoteType type)
    Sets the type.
    Parameters:
      `type` - the new type